For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • GETGet one Shipment by Shipment Id
      • GETGet all Shipments for Order
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet Orders
      • POSTCreate Order
      • GETGet one Shipment by Order Id and Shipment Id
      • GETGet Order
      • GETGet one Shipment's status timeline by Shipment Id
      • GETGet logs for one Shipment by Shipment Id
      • POSTCancel one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Shipment Id
      • POSTCancel single Order by Order ID
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTEstimate Fulfillment Cost For Order
      • GETGet shipping methods
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Get shipping methods

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2025-07/shipping-method
GET
/2025-07/shipping-method
$curl -G https://sandbox-api.shipbob.com/2025-07/shipping-method \
> -H "Authorization: Bearer <token>" \
> -d Page=2147483647 \
> -d Limit=1
1[
2 {
3 "active": true,
4 "default": true,
5 "id": 0,
6 "name": "string",
7 "service_level": {
8 "id": 0,
9 "name": "string"
10 }
11 }
12]
Get all merchants shipping methods
Was this page helpful?
Previous

Estimate Fulfillment Cost For Order

Next

Get Completely Cancelled Orders

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

PageintegerOptional0-2147483647
Page of orders to get
LimitintegerOptional1-250
Amount of records per page to request

Response

Success
activeboolean
Indicates if the shipping method is active
defaultboolean
Indicates the shipping method is a ShipBob default shipping method.
idinteger
Unique id for shipping method.
namestring

Name of the ship method as selected by the merchant and saved in ShipBob’s database (i.e. “ground”). Corresponds to the shipping_method field in the Orders API.

service_levelobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error